%global debug_package %{nil}

Name:           oraclelinux-release-el8
Version:        1.0
Release:        12%{dist}
Summary:        Oracle Linux yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oraclelinux-release-el8-1.0.tgz
Source1:        LICENSE
Source2:        uek-ol8.repo
Patch0:         aarch64_oracle-linux.patch


BuildArch:     x86_64 aarch64
Requires:      grep
Requires:      sed
Requires:      curl


%description
This package contains the  Oracle Linux  yum repository configuration.

%prep
%setup -q
%if %{?_host_cpu} == aarch64
%patch0 -p1
%endif


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{_builddir}/%{name}-%{version}/oracle-linux-ol8.repo $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
%if %{?_host_cpu} == x86_64
install -pm 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%endif


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*


%post
if [ ! -f /etc/yum/vars/ociregion ]; then
(http_proxy="";curl --max-time 1 -q -f http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" > /dev/null 2>&1)
 if [ $? != 0 ]; then
   echo > /etc/yum/vars/ociregion
 else
  instance_region=$(http_proxy="";curl http://169.254.169.254/opc/v2/instance/ -H "Authorization: Bearer Oracle" -s | grep "region\" :" | awk -F\" '{print $4}' | cut -d '-' -f 2)
  if [ -z "$instance_region" ]; then
    echo > /etc/yum/vars/ociregion
  else
    if curl -sfm 10 http://yum-${instance_region}.oracle.com/yum-${instance_region}-ol7.repo > /dev/null; then
        echo "-$instance_region" > /etc/yum/vars/ociregion
    else
        echo > /etc/yum/vars/ociregion
     fi
  fi
 fi
fi


%changelog
* Fri Jul 17 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-12
- Use IMDS v2 for OCI.

* Wed Apr 15 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-11
- Added 8.2 base repository [Orabug: 31056571]
- Revert patch for bug 31056604 to remove beta repositories

* Wed Apr 15 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-10
- Added 8.2 beta repositories [Orabug: 31056604]

* Tue Mar 24 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-9
- Added UEK repo file to include UEK6 entries [Orabug: 31074762]

* Wed Jan 15 2020 Tianyue Lan <tianyue.lan@oracle.com> 1.0-8
- roll back the changes for orabug 30379164.

* Wed Nov 06 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-7
- Removed 8.1 Beta repositories
- Added 8.1 base repository [Orabug: 30258719]

* Mon Oct 07 2019 Tianyue Lan <tianyue.lan@oracle.com> 1.0-6
- Requires yum [Orabug: 30379164]

* Fri Sep 20 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-5
- Updated repo file to include 8.1 beta repos [Orabug: 30295382]

* Tue Jul 09 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-4
- Fixed repository name [ orabug 30024377]

* Mon Jun 24 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-3
- Update repository information for GA release [ orabug 29859318]

* Thu May 30 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Update repository information for GA release [ orabug 29837423]

* Tue Mar 19 2019 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Intial version

